com.lowagie.text.pdf

## Class CFFFont.Item

- java.lang.Object
- - com.lowagie.text.pdf.CFFFont.Item

Direct Known Subclasses:
  CFFFont.DictNumberItem, CFFFont.IndexBaseItem, CFFFont.IndexMarkerItem, CFFFont.MarkerItem, CFFFont.OffsetItem, CFFFont.RangeItem, CFFFont.StringItem, CFFFont.SubrMarkerItem, CFFFont.UInt16Item, CFFFont.UInt24Item, CFFFont.UInt32Item, CFFFont.UInt8Item

Enclosing class:
  CFFFont

    protected abstract static class CFFFont.Item
    extends java.lang.Object

List items for the linked list that builds the new CID font.

### Field Summary

Fields
`protected int` `myOffset`

### Constructor Summary

Constructors
`protected` `CFFFont.Item()`

### Method Summary

Methods
`void` `emit(byte[] buffer)` Emit the byte stream for this item.
`void` `increment(int[] currentOffset)` remember the current offset and increment by item's size in bytes.
`void` `xref()` Fix up cross references to this item (applies only to markers).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### myOffset

    protected int myOffset

### Constructor Detail

#### CFFFont.Item

    protected CFFFont.Item()

### Method Detail

#### increment

    public void increment(int[] currentOffset)

remember the current offset and increment by item's size in bytes.

#### emit

    public void emit(byte[] buffer)

Emit the byte stream for this item.

#### xref

    public void xref()

Fix up cross references to this item (applies only to markers).